---
products:
  microos-*-DVD-x86_64:
    arch: x86_64
    distri: microos
    flavor: DVD
    version: '*'
  microos-*-MicroOS-Image-ContainerHost-x86_64:
    arch: x86_64
    distri: microos
    flavor: MicroOS-Image-ContainerHost
    version: Tumbleweed

machines:
  64bit:
    backend: qemu
    settings:
      HDDSIZEGB: '20'
      QEMUCPU: host
      VIRTIO_CONSOLE: '1'
      WORKER_CLASS: qemu_x86_64
  uefi:
    backend: qemu
    settings:
      HDDSIZEGB: '20'
      QEMUCPU: host
      UEFI: '1'
      UEFI_PFLASH_CODE: /usr/share/qemu/ovmf-x86_64-ms-code.bin
      UEFI_PFLASH_VARS: /usr/share/qemu/ovmf-x86_64-ms-vars.bin
      WORKER_CLASS: qemu_x86_64

.testsuites:
  rcshell: &rcshell
    EXTRA: RCSHELL
    EXTRABOOTPARAMS: startshell=1 netsetup=dhcp
    VIRTIO_CONSOLE: '0'
  microos_10G-disk: &microos_10G-disk
    HDDSIZEGB: '10'
    HDDSIZEGB_1: '10'
    SYSTEM_ROLE: microos
  microos: &microos
    EXTRA: FEATURES
    SYSTEM_ROLE: microos
  microos-sdboot: &microos-sdboot
    BOOTLOADER: systemd-boot
    EXTRA: FEATURES
    SYSTEM_ROLE: microos
  microos_textmode: &microos_textmode
    EXTRA: FEATURES
    SYSTEM_ROLE: microos
    VIDEOMODE: text
  container-host: &container-host
    CONTAINER_RUNTIMES: podman,docker
    EXTRA: FEATURES
    REGISTRY: 3.71.98.16:5000
    SYSTEM_ROLE: container-host
  remote_ssh_controller: &remote_ssh_controller
    BOOT_HDD_IMAGE: '1'
    DESKTOP: gnome
    NICTYPE: tap
    OVS_DEBUG: '1'
    REMOTE_CONTROLLER: ssh
    SUPPORT_SERVER: '1'
    SUPPORT_SERVER_ROLES: dhcp,dns
    VIDEOMODE: text
    WORKER_CLASS: tap
    YAML_SCHEDULE: schedule/yast/opensuse/remote_ssh_controller.yaml
  remote_ssh_target: &remote_ssh_target
    DESKTOP: gnome
    NICTYPE: tap
    OVS_DEBUG: '1'
    PARALLEL_WITH: remote_ssh_controller
    REMOTE_TARGET: ssh
    USE_SUPPORT_SERVER: '1'
    WORKER_CLASS: tap
    YAML_SCHEDULE: schedule/yast/opensuse/remote_ssh_target.yaml
  container-host2microosnext: &container-host2microosnext
    +HDD_1: openSUSE-MicroOS.%ARCH%-ContainerHost-kvm-and-xen-before-%BUILD%.qcow2
    CONTAINER_RUNTIMES: podman,docker
    EXTRA: FEATURES
    HDD_1_URL: http://download.opensuse.org/tumbleweed/appliances/openSUSE-MicroOS.x86_64-ContainerHost-kvm-and-xen.qcow2?foo=%BUILD%
    REGISTRY: 3.71.98.16:5000
    SYSTEM_ROLE: container-host
    TDUP: '1'
  container-host-old2microosnext: &container-host-old2microosnext
    +HDD_1: openSUSE-MicroOS.%ARCH%-ContainerHost-kvm-and-xen-old.qcow2
    CONTAINER_RUNTIMES: podman,docker
    EXTRA: FEATURES
    REGISTRY: 3.71.98.16:5000
    SYSTEM_ROLE: container-host
    TDUP: '1'

job_templates:

  rcshell:
    product: microos-*-DVD-x86_64
    machine: 64bit
    settings:
      <<: *rcshell
  microos_10G-disk:
    product: microos-*-DVD-x86_64
    machine: 64bit
    settings:
      <<: *microos_10G-disk
  microos1:
    product: microos-*-DVD-x86_64
    machine: uefi
    settings:
      <<: *microos
  microos-sdboot:
    product: microos-*-DVD-x86_64
    machine: uefi
    settings:
      <<: *microos-sdboot
  microos2:
    product: microos-*-DVD-x86_64
    machine: 64bit
    settings:
      <<: *microos
  microos_textmode:
    product: microos-*-DVD-x86_64
    machine: 64bit
    settings:
      <<: *microos_textmode
  container-host1:
    product: microos-*-DVD-x86_64
    machine: 64bit
    settings:
      <<: *container-host
      CONTAINER_IMAGE_TO_TEST: registry.opensuse.org/opensuse/factory/totest/containers/opensuse/tumbleweed
      K3S_INSTALL_UPSTREAM: '1'
  remote_ssh_controller:
    product: microos-*-DVD-x86_64
    machine: 64bit
    settings:
      <<: *remote_ssh_controller
      HDD_1: support_server_tumbleweed@64bit.qcow2
      SYSTEM_ROLE: microos
      DESKTOP: textmode
      EXTRABOOTPARAMS_BOOT_LOCAL: '3'
      +YAML_SCHEDULE: ''
  remote_ssh_target:
    product: microos-*-DVD-x86_64
    machine: 64bit
    settings:
      <<: *remote_ssh_target
      DESKTOP: textmode
      +YAML_SCHEDULE: ''

  container-host2:
    product: microos-*-MicroOS-Image-ContainerHost-x86_64
    machine: 64bit
    settings:
      <<: *container-host
      CONTAINER_IMAGE_TO_TEST: registry.opensuse.org/opensuse/factory/totest/containers/opensuse/tumbleweed
      K3S_INSTALL_UPSTREAM: '1'
  container-host2microosnext:
    product: microos-*-MicroOS-Image-ContainerHost-x86_64
    machine: 64bit
    settings:
      <<: *container-host2microosnext
      CONTAINER_IMAGE_TO_TEST: registry.opensuse.org/opensuse/factory/totest/containers/opensuse/tumbleweed
      K3S_INSTALL_UPSTREAM: '1'
  container-host-old2microosnext:
    product: microos-*-MicroOS-Image-ContainerHost-x86_64
    machine: 64bit
    settings:
      <<: *container-host-old2microosnext
      CONTAINER_IMAGE_TO_TEST: registry.opensuse.org/opensuse/factory/totest/containers/opensuse/tumbleweed
      K3S_INSTALL_UPSTREAM: '1'

